Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif.ast
Interface JifConstructorDecl

All Superinterfaces:
  polyglot.ast.ClassMember, java.lang.Cloneable, polyglot.ast.CodeDecl, polyglot.ast.ConstructorDecl, polyglot.util.Copy, JifProcedureDecl, polyglot.ast.JL, polyglot.ast.Node, polyglot.ast.NodeOps, polyglot.ast.ProcedureDecl, polyglot.ast.Term

All Known Implementing Classes:
  JifConstructorDecl_c

    public interface JifConstructorDecl

extends JifProcedureDecl, polyglot.ast.ConstructorDecl

An immutable representation of the Jif constructor declaration. It extends the Java constructor declaration with the start label, the return lable, and various constraints, including the authority constraint, the caller constraint, and the acts-for constraint.

Method Summary
`JifConstructorDecl` | `constraints(java.util.List constraints)`
`JifConstructorDecl` | `returnLabel(LabelNode returnLabel)`
`JifConstructorDecl` | `startLabel(LabelNode startLabel)`

Methods inherited from interface jif.ast.JifProcedureDecl
`constraints, returnLabel, startLabel`

Methods inherited from interface polyglot.ast.ProcedureDecl
`procedureInstance`

Methods inherited from interface polyglot.ast.CodeDecl
`body, body, codeInstance`

Methods inherited from interface polyglot.ast.ClassMember
`memberInstance`

Methods inherited from interface polyglot.ast.Term
`acceptCFG, entry, exceptions, exceptions, reachable, reachable`

Methods inherited from interface polyglot.ast.Node
`childExpectedType, del, del, dump, error, error, ext, ext, ext, ext, isDisambiguated, isTypeChecked, position, position, visit, visitChild, visitEdge, visitList`

Methods inherited from interface polyglot.ast.JL
`init, node`

Methods inherited from interface polyglot.ast.NodeOps
`addDecls, buildTypes, buildTypesEnter, checkConstants, disambiguate, disambiguateEnter, disambiguateOverride, dump, dump, enterChildScope, enterScope, exceptionCheck, exceptionCheckEnter, prettyPrint, prettyPrint, prettyPrint, throwTypes, translate, typeCheck, typeCheckEnter, typeCheckOverride, visitChildren`

Methods inherited from interface polyglot.ast.ConstructorDecl
`constructorInstance, constructorInstance, flags, flags, formals, formals, name, name, throwTypes, throwTypes`

Methods inherited from interface polyglot.ast.ProcedureDecl
`procedureInstance`

Methods inherited from interface polyglot.ast.CodeDecl
`body, body, codeInstance`

Methods inherited from interface polyglot.ast.ClassMember
`memberInstance`

Methods inherited from interface polyglot.ast.Term
`acceptCFG, entry, exceptions, exceptions, reachable, reachable`

Methods inherited from interface polyglot.ast.Node
`childExpectedType, del, del, dump, error, error, ext, ext, ext, ext, isDisambiguated, isTypeChecked, position, position, visit, visitChild, visitEdge, visitList`

Methods inherited from interface polyglot.ast.JL
`init, node`

Methods inherited from interface polyglot.ast.NodeOps
`addDecls, buildTypes, buildTypesEnter, checkConstants, disambiguate, disambiguateEnter, disambiguateOverride, dump, dump, enterChildScope, enterScope, exceptionCheck, exceptionCheckEnter, prettyPrint, prettyPrint, prettyPrint, throwTypes, translate, typeCheck, typeCheckEnter, typeCheckOverride, visitChildren`

Method Detail

### startLabel

    JifConstructorDecl startLabel(LabelNode startLabel)

### returnLabel

    JifConstructorDecl returnLabel(LabelNode returnLabel)

### constraints

    JifConstructorDecl constraints(java.util.List constraints)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD